org.springframework.scripting.config

## Class ScriptingDefaultsParser

- java.lang.Object
- - org.springframework.scripting.config.ScriptingDefaultsParser

- All Implemented Interfaces:
    BeanDefinitionParser

      public class ScriptingDefaultsParser
      extends Object
      implements BeanDefinitionParser

  Since:
    2.5
  Author:
    Mark Fisher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptingDefaultsParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanDefinition` | `parse(Element element, ParserContext parserContext)` Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `BeanDefinitionRegistry` embedded in the supplied `ParserContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptingDefaultsParser

          public ScriptingDefaultsParser()

  - ### Method Detail

    - #### parse

          public BeanDefinition parse(Element element,
                             ParserContext parserContext)

      Description copied from interface: `BeanDefinitionParser`
      Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `BeanDefinitionRegistry` embedded in the supplied `ParserContext`.

      Implementations must return the primary `BeanDefinition` that results from the parse if they will ever be used in a nested fashion (for example as an inner tag in a `<property/>` tag). Implementations may return `null` if they will not be used in a nested fashion.

      Specified by:
        `parse` in interface `BeanDefinitionParser`
      Parameters:
        `element` - the element that is to be parsed into one or more `BeanDefinitions`
        `parserContext` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
      Returns:
        the primary `BeanDefinition`